[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian (3 files)

Thomas Hood jdthood-guest@haydn.debian.org
Mon, 13 Sep 2004 12:57:11 -0600


    Date: Monday, September 13, 2004 @ 12:57:11
  Author: jdthood-guest
    Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian

   Added: patches/15_amixer_doc_bug271556.dpatch
Modified: changelog patches/00list

Fix #271556


----------------------------------------+
 changelog                              |    9 +++++--
 patches/00list                         |    1 
 patches/15_amixer_doc_bug271556.dpatch |   35 +++++++++++++++++++++++++++++++
 3 files changed, 42 insertions(+), 3 deletions(-)


Index: debian/alsa-utils/debian/changelog
diff -u debian/alsa-utils/debian/changelog:1.41 debian/alsa-utils/debian/changelog:1.42
--- debian/alsa-utils/debian/changelog:1.41	Fri Sep 10 05:09:36 2004
+++ debian/alsa-utils/debian/changelog	Mon Sep 13 12:57:07 2004
@@ -16,9 +16,9 @@
       + Add 92_debian_alsaconf_restore:
         . Set up module loader to do "alsactl restore" post install
 	  (Closes: #268221)
-    - arecord.1
-      + Add 15_arecord_docfixes:
-        . Note that the default duration is zero  (Closes: #243965)
+    - amixer.1
+      + Add 15_amixer_doc_bug271556:
+        . Fix formatting  (Closes #271556)
     - alsamixer.1
       + Add 15_alsamixer_doc_keycase:
         . Note that commands given in upper case can also be given
@@ -26,6 +26,9 @@
       + Add 15_alsamixer_doc_mute:
         . Note that < and > mute channels independently only if
 	  the hardware supports this.  (Closes: #262371)
+    - arecord.1
+      + Add 15_arecord_docfixes:
+        . Note that the default duration is zero  (Closes: #243965)
 
  -- Jordi Mallach <jordi@debian.org>  Mon,  6 Sep 2004 12:19:31 +0200
 
Index: debian/alsa-utils/debian/patches/00list
diff -u debian/alsa-utils/debian/patches/00list:1.12 debian/alsa-utils/debian/patches/00list:1.13
--- debian/alsa-utils/debian/patches/00list:1.12	Fri Sep 10 05:09:37 2004
+++ debian/alsa-utils/debian/patches/00list	Mon Sep 13 12:57:08 2004
@@ -1,4 +1,5 @@
 10_move_asound_state_to_var
+15_amixer_doc_bug271556
 15_alsamixer_doc_keycase
 15_alsamixer_doc_mute
 20_alsaconf_lspci
Index: debian/alsa-utils/debian/patches/15_amixer_doc_bug271556.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/15_amixer_doc_bug271556.dpatch:1.1
--- /dev/null	Mon Sep 13 12:57:11 2004
+++ debian/alsa-utils/debian/patches/15_amixer_doc_bug271556.dpatch	Mon Sep 13 12:57:08 2004
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 15_amixer_doc_bug271556.dpatch by  <jdthood@yahoo.co.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/jdthood/src/pkg-alsa/debian/alsa-utils/amixer/amixer.1 alsa-utils/amixer/amixer.1
+--- /home/jdthood/src/pkg-alsa/debian/alsa-utils/amixer/amixer.1	2002-12-20 17:32:50.000000000 +0100
++++ alsa-utils/amixer/amixer.1	2004-09-13 20:53:06.000000000 +0200
+@@ -69,7 +69,7 @@
+ .TP
+ \fIcget\fP <\fICONTROL\fP>
+ Shows the card control contents. The identifier has same syntax as for
+-the \fIcset]fP command.
++the \fIcset\fP command.
+ 
+ .SS Options
+